Update Recipient

The PUT /recipients/{recipientId} endpoint updates the details of an existing recipient record. This operation requires the necessary fields obtained from the GET /recipient-fields endpoint.

Implementation Guide:

  • Ensure that the GET /recipient-fields endpoint is called first to retrieve the necessary fields for updating a recipient record.
  • The fields required for updating a recipient record are dynamic and may change based on the recipient type, destination country, destination currency, and transfer method. Always use the latest field requirements from the GET /recipient-fields endpoint.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Unique identifier for the recipient.

Body Params

Array of fields to update the recipient.

string
enum
Defaults to PERSON

The type of recipient. See Recipient Type.

Allowed:
string
length between 3 and 3

The ISO 3166-1 alpha-3 code of the destination country.

string

The ISO 4217 code of the currency of the amount you would like to receive money. A string of exactly 3 uppercase alphabetical characters. This code is used to identify the currency in which the recipient will receive the funds.

string
enum
Defaults to BANK_ACCOUNT

The method of transfer (BANK_ACCOUNT, CASH_PICKUP, etc.).

Allowed:
string

Unique identifier for the sender.

fields
array of objects
required
fields*
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json